Package Gnumed :: Package wxpython :: Module gmPregWidgets |
[frames] | no frames]

# Module gmPregWidgets

source code

GNUmed pregnancy related dates caculcator.

Calculates from LMP:

- EDC
- 18th week ultrasound scan

Naegele's rule is easy for manual calculation, but a pain to code Enter Haywood's rule ;-), human gestation is defined as 24192000 seconds. (Ian, can you please explain a bit more ?)

TODO: ideally, tool should query backend for parity, race, etc. for exact measurement

Version: $Revision: 1.6 $

Author: M. Bonert, R. Terry, I. Haywood

Classes
| cPregCalcFrame The new pregnancy calculator.

Variables
| __licence__ = ``'``GPL``'``
| LMP_FIELD = `0`
| US_FIELD = `1`
| ID_LMP = `104`
| ID_DUE = `105`
| ID_DAY = `106`
| ID_WEEK = `107`
| ID_MENU = `108`
| GESTATION = `24192000`
| WEEK = `604800`
| DAY = `86400`
| US18_52 = `10886400`
| __package__ = ``'``Gnumed.wxpython``'``

Imports: math, zlib, cPickle, random, string, os, wxversion, wx, calender, RowColSizer